Blockchain Gateways: Use-Cases
Aetienne Sardon
Swisscom
Aetienne.Sardon@swisscom.com
Thomas Hardjono
MIT
hardjono@mit.edu
Mike McBride
Futurewei
mmcbride@futurewei.com
20 April 2022
General
Internet Engineering Task Force
template
In the past five years there has been a growing interest in using blockchains and DLT systems as a means to create a new mechanism to issue, distribute and manage virtual assets. However, as DLT systems consisting of peer-to-peer (P2P) network of nodes increase in number, there is an increasing need to interconnect these networks to permit virtual assets to flow into and out of them. This document captures a number of use-cases driving the need for interoperability between DLT systems.

Introduction
In the past five years there has been a growing interest in using blockchains and DLT systems as a means to create a new mechanism to issue, distribute and manage virtual assets.
However, as DLT systems consisting of peer-to-peer (P2P) network of nodes increase in number, there is an increasing need to interconnect these networks to permit virtual assets to flow into and out of them.
This document captures a number of use-cases driving the need for interoperability between DLT systems.

Use-Case: CBDC interoperability
A Central Bank Digital Currency (CBDC) is a digital version of the sovereign currency within a nation. The CBDC is distinct from other types of digital currencies because (a) its sole issuer is a central bank, and (b) like paper sovereign currencies the issuance of a CBDC represents a claim that the holder has upon the central bank.
Many central banks are considering the use of DLT systems for CBDCs. For example, the Monetary Authority of Singapore (MAS) and the Bank of Canada (BOC) have been experimenting with private blockchains and have been exploring methods used to settle CBDCs (see project Ubin and Jasper) [MAS19]. Since different central banks might be using different private DLT systems, interoperability of these systems will be crucial for facilitating cross-border payments.
The MAS and BOC have carried out a joint pilot project in 2019 to evaluate how transactions between a Quorum-based and Corda-based systems can be performed [MAS19]. While their HTLC based proof-of-concept with direct node-to-node connectivity was conducted successfully, they point out that such a network model may have poor resiliency and suggest testing alternative models, in particular using gateway nodes that would act as service nodes for the network participants.

Use-Case: Application and Data Portability
Portability has been described as a desirable property for applications on private blockchains and DLT systems [SKS18]. For example, applications with poor portability may suffer from vendor lock-in effects, potentially preventing users to benefit from better middleware platforms.
Moreover, regulations like the GDPR even explicitly require data portability. For private blockchains, where the network members may be subject to such regulations, interoperability shall be encouraged [STOA19]. The use case would be to migrate either the application (e.g. a token smart contract) and/or the associated state (e.g. token balances) from one private blockchain to another.

Use-Case: Interconnection of Supply-Chains
Blockchains and DLT systems are currently being deployed for augmenting the supply-chains of good and services [Scot19]. The notion of a shared ledger has significant appeal among the participants of a supply-chain network (e.g. suppliers, vendors, buyers, etc.) because: (i) it permits all participants with equal visibility into the state of the supply/demand of goods; (ii) permitting suppliers (e.g. manufacturers) to increase their efficiency in maintaining the supply of goods in warehouses, leading to the freeing-up of capital, and (iii) allowing participants to improve the tracking of deliveries and payments settlements.
A key challenge for of a supply-chain network based on DLT systems is its ability to interoperate with another supply-chain network. Interoperability across blockchains and DLT systems allows a participant (e.g. manufacturer, buyer) to participate at a single end-point in the network, while giving them access to all other blockchains that are connected. Without interoperability, the participant would need to join each and every supply-chain DLT, something that is cumbersome, costly and does not scale.

Pharmaceuticals
The prescription, and vaccination, supply chain involves many partners and includes recording the change of ownership of these medicinal assets. This supply chain also involves tracking data such as the shipping container temperature since some medicines (vaccinations) require specific, and sometimes extreme, low temperatures. As the medicines are in route from manufacturer to end user, the change in ownership, along with the container temperature, may be stored in a DLT. It will then be vital to provide interoperability between the DLT, or non-DLT, systems along this supply chain in order to provide consistency, transferrability and accountability. If it's determined, by looking at DLT data, that the required temperature was not maintained at a certain point of time then the pharmaceutical asset can be identified, removed and insurance can be claimed.

Farm to store
DLT interoperability will provide much needed food traceability along the farm to store supply chain. The change of asset ownership is tracked as the shipping partners send the transportation data to a DLT or general distributed database. The data tracked includes temperature, humidity, time, capacity and any other variables used to help with any insurance claims for spoiled produce. Tracking this data, across DLTs, will also help prevent counterfeit goods from being shipped.

Energy
Interoperability between energy producers will help secure energy trading and delivery. The energy industry must be able to function with increasingly complex transactions between big and small producers, which now includes home, and corporate, consumers becoming energy producers. Increased volumes of decentralized energy are being produced. Home owners, companies and tradition energy utilities will want to have accurate and secure accounting of their energy assets by inputting the data onto a DLT. The new energy partnering will become increasingly complex and it will be imperative for the energy assets to be properly tracked and traded along an interoperable ecosystem.

Use-Case: Interconnection of Cloud Systems
There will be an increasing need for cloud interoperability particularly with the need to transfer payment from one cloud platform to another. If a blockchain exists in AWS, for instance, and an asset needs to be transferred to a blockchain located in an Azure environment, an interoperability gateway will need to exist. This is true also for the growing metaverse where decentralized asset transfer solutions using blockchain exist. As various metaverse cloud ecosystems continue to be created there will need to be a way to transfer currency (and other assets) from one ecosystem to another. If you are playing a game in Meta's metaverse and need to pay for an asset to be transferred to another (or same) game in Microsofts metaverse, there will need to be a solution for blockchain interoperability.

Normative References

Informative References
[MAS19]

Jasper-Ubin Design Paper, Enabling Cross-Border High Value Transfer Using Distributed Ledger Technologies, Monetary Authority of Singapore.
MAS
May 2019
[SKS18]

Towards Application Portability on Blockchains, Proc. IEEE HotICN 2018
K. Shudo
R. Kanda
R. Saito
August 2018
[STOA19]

EU STOA, Blockchain and the GDPR: Can distributed ledgers be squared with European data protection law?, EU European Parliamentary Research Service, STOA, PE 634.445.
STOA
July 2019
[Scot19]

TradeLens: How IBM and Maersk Are Sharing Blockchain to Build a Global Trade Platform. IBM Report
T. Scott
27 November 2018